package com.akamai.ampdemo;


import android.app.Application;

import com.akamai.amp.analytics.comscorestreamsense.AmpComscoreStreamsenseAnalyticsTracker;
import com.akamai.amp.config.data.streamsense.StreamsenseAppData;
import com.akamai.amp.media.elements.AMPLibraryInfo;

public class StreamsenseSampleApplication extends Application {

    private static final String APP_NAME = AMPLibraryInfo.NAME;
    private static final String APP_VERSION = BuildConfig.VERSION_NAME;
    private static final String PUBLISHER_ID = "1234567";
    private static final String PUBLISHER_SECRET = "7b94840eb66b17e61c3d2f909c3a1163";

    private static StreamsenseAppData streamsenseAppData;

    @Override
    public void onCreate() {
        super.onCreate();

        AmpComscoreStreamsenseAnalyticsTracker.onApplicationCreate(getStreamsenseAppData(), this);
    }

    public static StreamsenseAppData getStreamsenseAppData() {
        if (streamsenseAppData == null) {

            streamsenseAppData = new StreamsenseAppData();
            streamsenseAppData.setAppName(APP_NAME);
            streamsenseAppData.setAppVersion(APP_VERSION);
            streamsenseAppData.setPublisherId(PUBLISHER_ID);
            streamsenseAppData.setPublisherSecret(PUBLISHER_SECRET);
        }

        return streamsenseAppData;
    }

}
