package com.akamai.amp.demo;


import android.app.Application;

import com.akamai.amp.analytics.comscorestreamsense.AmpComscoreStreamsenseAnalyticsTracker;
import com.akamai.amp.demo.helpers.analytics.StreamsenseHelper;

public class AmpApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();

        /*
         * Comscore dictates as mandatory that a beacon should be sent as soon as possible,
         * from your application's onCreate()
         */

        AmpComscoreStreamsenseAnalyticsTracker.onApplicationCreate(StreamsenseHelper.buildAppData(), this);
    }

}
